using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace MetaTrader {
	public unsafe partial class FormMain: Form {

		Random timer = new Random();
		Random price = new Random();
		sbyte* context;
		sbyte* symbol;
		double bid;
		
		public FormMain() {
			InitializeComponent();
		}

		protected override void OnLoad( EventArgs e ) {
			context = (sbyte*)Marshal.StringToHGlobalAnsi( "                                                                                                                                " );
			symbol = (sbyte*)Marshal.StringToHGlobalAnsi( "EURUSD" );
			bid = ( (double)price.Next( 1300, 1400 ) ) / 1000;
			Emulator.ClasterInitialize( context, symbol, 4, 2, 0.0002 );
			timer1.Enabled = true;
			base.OnLoad( e );
		}

		private void timer1_Tick( object sender, EventArgs e ) {
			timer1.Interval = timer.Next( 1, 100 );
			bid += ((double)price.Next( -10, 11 )) / 1000;
			Emulator.ClasterUpdate( context, bid, (int)( ( DateTime.UtcNow.Ticks - new DateTime( 1970, 1, 1, 0, 0, 0, DateTimeKind.Utc ).Ticks ) / ((long)0x989680) ) );
		}

		protected override void OnClosed( EventArgs e ) {
			timer1.Enabled = false;
			Emulator.ClasterFinalize( context );
			base.OnClosed( e );
		}

	}
}