﻿namespace MetaTrader {

	using System;
	using System.Windows.Forms;
	using System.Threading;
	using MetaTrader.Windows;
	//using MetaTrader.Clasters;

	public class Global {

		public static readonly ClasterMonoCollection Compare = new ClasterMonoCollection();
		public static readonly ContextCollection Context = new ContextCollection();
		public static readonly ClasterCollection Claster = new ClasterCollection();
		
		public static Thread Thread = null;
		public static FormMain Window = null;
		
		public static void WindowControl() {
			if ( Context.Count == 0 ) {
				if ( Thread != null ) {
					Window.Invoke( (EventHandler)delegate( object s, EventArgs e ) { Window.Close(); } );
					Thread = null;
				}
			} else {
				if ( Thread == null ) {
					Thread = new Thread( WindowStart );
					Thread.Start();
				}
			}
		}

		public static void WindowStart() {
			if ( Window == null ) {
				Window = new FormMain();
				Application.Run( Window );
				Thread = null;
				Window = null;
			}
		}
		
	}

}