namespace MetaTrader.Windows {
	
	using System;
	using System.ComponentModel;
	using System.Windows.Forms;

	public partial class WindowException: Form {

		public WindowException( Exception iException ) {
			InitializeComponent();
			while ( iException != null ) {
				TextException.Text += iException.Source + "\r\n" + iException.ToString() + "\r\n\r\n";
				iException = iException.InnerException;
			}
		}

		private void ButtonRetry_Click( object sender, EventArgs e ) {
			this.DialogResult = DialogResult.Retry;
		}

	}
}