using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MetaTrader.Windows {
	public partial class WindowCompare: Form {
		public WindowCompare() {
			InitializeComponent();
		}

		private void WindowCompare_Load( object sender, EventArgs e ) {
			foreach( ClasterMono mono in Global.Compare.Array ) {
				TreeNode node = treeView1.Nodes.Add( mono.Name );
				foreach( ClasterPair pair in mono.Pairs.Array ) {
					node.Nodes.Add( pair.Mono.Name );
				}
			}
		}
	}
}